from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '0.0.1.1'
DESCRIPTION = 'Securely managing logs the easy way'

# Setting up
setup(
    name="corsaclib",
    version=VERSION,
    author="mvedu (Marijn van Dijk)",
    author_email="<dijkmarijnvan@gmail.com>",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    install_requires=['pyyaml', 'pyspx', 'pycryptodome'],
    keywords=['python', 'log management', 'key management', 'files', 'sockets'],
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ]
)